<template>
  <div id="app">

    <h3> {{ screen }} </h3>

    <div v-if="screen === 'intro'">
      <div style="margin: 20px;"> Ready play {{ name }}? </div>
      <button v-on:click="start">start</button>
    </div>

    <div
      class="display"
      v-if="screen === 'Pallet town'"
      tabindex="0"
      v-on:keydown.up="sacha.direction ='up' ; sacha.row -= 1"
      v-on:keydown.down="sacha.direction ='down' ; sacha.row += 1"
      v-on:keydown.left="sacha.direction ='left' ; sacha.column -= 1"
      v-on:keydown.right="sacha.direction ='right' ; sacha.column += 1"
    >
      <Scene />
      <Sacha
        v-bind="sacha"
      />
    </div>

    <div class="battle" v-if="screen === 'battle'">
    </div>

  </div>
</template>

<script>
import Scene from './components/Scene.vue'
import Sacha from './components/Sacha.vue'

export default {
  components: {
    Scene,
    Sacha
  },
  data () {
    return {
      screen: 'intro',
      name: 'PokeVue',
      sacha: {
        row: 3,
        column: 14,
        direction: 'down'
      }
    }
  },
  watch: {
    'sacha.row' () {
      if (this.sacha.row === 2 && this.sacha.column === 11) {
        this.screen = 'battle'
      }
    },
    'sacha.column' () {
      if (this.sacha.row === 2 && this.sacha.column === 11) {
        this.screen = 'battle'
      }
    }
  },
  methods: {
    start () {
      this.screen = 'Pallet town'
    }
  }
}
</script>

<style>
@font-face {
  font-family: pokemon;
  src: url(/fonts/pokemon-font.woff);
}

#app {
  font-family: pokemon;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin: 60px;
}

.display {
  position: relative;
  display: inline-block;
}

.battle {
  position: relative;
  display: inline-block;
  width: 600px;
  height: 600px;
  z-index: 2;
  border:#ddd solid 2px;
  box-shadow: 5px 5px 20px #999;
}
</style>
